import { ContractRouter } from './contract.js';
import { EndorseRouter } from './endorse.js';
import { MembersRouter } from './members.js';
import { ProfileRouter } from './profile.js';
import { RecordRouter } from './records.js';
import { SignatureRouter } from './signatures.js';
type Fetcher = typeof fetch;
export declare class EscrowRouter {
    readonly host: string;
    readonly fetch: Fetcher;
    constructor(hostname: string, fetcher: Fetcher);
    get contract(): ContractRouter;
    get endorse(): EndorseRouter;
    get members(): MembersRouter;
    get profile(): ProfileRouter;
    get records(): RecordRouter;
    get signatures(): SignatureRouter;
}
export {};
//# sourceMappingURL=index.d.ts.map