import { ResponseAPI } from '../schema/types.js';
import { RecordQuery, RecordTemplate } from '../schema/index.js';
type Fetcher = typeof fetch;
export declare class RecordRouter {
    readonly host: string;
    readonly fetch: Fetcher;
    constructor(hostname: string, fetcher: Fetcher);
    update(contractId: string, records: RecordTemplate[]): Promise<ResponseAPI>;
    remove(contractId: string, queries: RecordQuery[]): Promise<ResponseAPI>;
}
export {};
//# sourceMappingURL=records.d.ts.map