import { ResponseAPI } from '../schema/types.js';
import { SignatureData, SignatureTemplate } from '../schema/index.js';
type Fetcher = typeof fetch;
export declare class SignatureRouter {
    readonly host: string;
    readonly fetch: Fetcher;
    constructor(hostname: string, fetcher: Fetcher);
    list(contractId: string): Promise<ResponseAPI<SignatureData[]>>;
    update(contractId: string, signature: SignatureTemplate): Promise<ResponseAPI>;
    remove(contractId: string): Promise<ResponseAPI>;
}
export {};
//# sourceMappingURL=signatures.d.ts.map