import { EndorseTemplate } from '../schema/index.js';
import { ResponseAPI } from '../schema/types.js';
type Fetcher = typeof fetch;
export declare class EndorseRouter {
    readonly host: string;
    readonly fetch: Fetcher;
    constructor(hostname: string, fetcher: Fetcher);
    update(contractId: string, endorsement: EndorseTemplate): Promise<ResponseAPI>;
    remove(contractId: string): Promise<ResponseAPI>;
}
export {};
//# sourceMappingURL=endorse.d.ts.map